Page MenuHomePhabricator

[MLIR] refactor cmake specification of tablegen'd interfaces.
ClosedPublic

Authored by stephenneuendorffer on May 13 2020, 12:11 AM.

Details

Summary

Introduce add_mlir_interface to avoid lots of boilerplate

Diff Detail

Event Timeline

mehdi_amini accepted this revision.May 13 2020, 12:58 AM
This revision is now accepted and ready to land.May 13 2020, 12:58 AM
This revision was automatically updated to reflect the committed changes.
rriddle added inline comments.May 27 2020, 12:38 PM
mlir/cmake/modules/AddMLIR.cmake
17

This comment seems wrong.

18

nit: I would have named this add_mlir_op_interface just in case we somehow auto-gen dialect interfaces in the future.

@stephenneuendorffer ping on post-commit review comments?

Herald added a project: Restricted Project. · View Herald TranscriptJun 5 2020, 1:28 AM
Herald added a subscriber: msifontes. · View Herald Transcript